type SelectionStore = ReturnType<typeof initSelectionStore>;
declare const initSelectionStore: (ref: React.RefObject<HTMLTextAreaElement | HTMLInputElement>) => {
    _subscribe(callback: () => void): () => void;
    _update(): void;
    _setComposition(comp: CompositionEvent | null): void;
    _getSelectionStart(): number | null;
    _getSelectionEnd(): number | null;
    _getSelection(): [number | null, number | null];
};
export declare const useStore: (ref: React.RefObject<HTMLTextAreaElement | HTMLInputElement>) => SelectionStore;
export {};
